Bug 462874 - Automounted VFAT flash drive: executable permissions on, confuses file manager
Automounted VFAT flash drive: executable permissions on, confuses file manager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 09:16 EDT by Daniel Novotny
Modified: 2013-03-05 22:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:13:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Novotny 2008-09-19 09:16:19 EDT
Description of problem:
I inserted a VFAT formatted flash drive and it got automounted. However, all the files inside had executable (+x) permissions on them, so when I double-clicked them in Nautilus, it complained while trying to "run" the file the way you run executables or scripts

IMHO this is not The Right Thing(tm), because on VFAT flash drives you expect docs and data (ordinary users' stuff), not Linux executables and scripts, so the permissions on the files should be only "r" and "w" - directories need to be "x" in order to access them. The appropriate fstab mount option is fmask: 

http://en.wikipedia.org/wiki/Fmask

Version-Release number of selected component (if applicable):
gnome-media-2.22.0-2.fc9

How reproducible:
always

Steps to Reproduce:
1. insert VFAT flash disk with documents
2. double-click a document
3. watch a file manager complain
  
Actual results:
there is +x on the files

Expected results:
imho there should be -x

Additional info:
http://en.wikipedia.org/wiki/Fmask
Comment 1 Bug Zapper 2009-06-09 22:45:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:13:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.